import { DefineApiModule } from '@/api/api'
import { Question } from '@/api/api-types/question'

const QuestionApi: DefineApiModule<Question.ApiMap> = {
  deleteSubQuestion: '/api/question/sub/delete',
  editSubQuestion: '/api/question/sub/edit',
  getSubQuestionList: '/api/question/sub/list',
  addMainQuestion: {
    url: '/api/question/main/save',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  editMainQuestion: {
    url: '/api/question/main/update',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  getMainQuestionInfo: '/api/question/main/info',
  getMainQuestionList: '/api/question/main/list',
  /** 获取大题评卷结构 */
  getQuestionStruct: '/api/mark/question',
}

export default QuestionApi
