import { DefineApiModule } from '@/api/api'
import { System } from '@/api/api-types/system'

const SystemApi: DefineApiModule<System.ApiMap> = {
  /** 评卷数据导入 */
  importMarkingData: {
    url: '/api/student/import',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  },
  /** 获取培训卷RF卷评分标准路径 */
  getImportFilePath: '/api/reference/paper/file/path',
  /** 导入培训卷 */
  importSamplePaper: {
    url: '/api/reference/paper/import/samp',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  },
  /** 导入培训卷 */
  importRfPaper: {
    url: '/api/reference/paper/import/rf',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  },
  /** CET成绩列表 */
  getCetScoreList: '/api/student/page',
  /** CET成绩导出接口 */
  exportCetScoreList: {
    url: '/api/student/export',
    download: true,
  },
  /** 任务设置 - 按评卷员设置 */
  markerSetCount: {
    url: '/api/user/marker/add/count',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 任务设置 - 按小组追加 */
  markGroupUpdateCount: '/api/user/marker/update/count',
  /** 任务设置-获取任务计划 */
  getTaskDetail: '/api/mark/task/count/datail',
  /** 任务设置-获取剩余任务 */
  getUnMarkTasks: '/api/mark/task/count/unmark',
}

export default SystemApi
